Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Message.SENDING_STATUS

    java.lang.Object
      java.lang.Enum<Message.SENDING_STATUS>
          com.skype.api.Message.SENDING_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.SENDING_STATUS>

Enclosing class:
  Message

    public static enum Message.SENDING_STATUS

extends java.lang.Enum<Message.SENDING_STATUS>

Enum Constant Summary
`FAILED_TO_SEND` Message could not be delivered (for SMS this reflects the actual SMS, not the chat message)
`SENDING` Message has not been delivered to at least one of the participants
`SENT` Message has been delivered to at least one other participant

Method Summary
`static Message.SENDING_STATUS` | `fromString(java.lang.String s)`
`static Message.SENDING_STATUS` | `get(int code)`
`int` | `getId()`
`static Message.SENDING_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.SENDING_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SENDING

    public static final Message.SENDING_STATUS SENDING

  Message has not been delivered to at least one of the participants

### SENT

    public static final Message.SENDING_STATUS SENT

  Message has been delivered to at least one other participant

### FAILED_TO_SEND

    public static final Message.SENDING_STATUS FAILED_TO_SEND

  Message could not be delivered (for SMS this reflects the actual SMS, not the chat message)

Method Detail

### values

    public static Message.SENDING_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.SENDING_STATUS c : Message.SENDING_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.SENDING_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Message.SENDING_STATUS get(int code)

### fromString

    public static Message.SENDING_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.